.filter {
    padding-top: 35px;
    padding-bottom: 50px;

    &__row {
        display: flex;
        flex-wrap: wrap;
        position: relative;
        justify-content: space-between;
    }

    &__title {
        font-weight: 700;
        margin-bottom: 6px;
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;

        > li {
            padding: 2px 0;
        }

        &--row {
            display: flex;
            flex-wrap: wrap;

            > li {
                width: 50%;
            }
        }
    }

    &__inline {
        padding: 0;
        margin: 0 -5px;
        list-style: none;
        display: flex;
        align-items: center;

        > li {
            width: 50%;
            padding: 0 5px;
        }
    }

    &__group {
        width: 50%;
        margin-bottom: 15px;

        &--05 {
            width: 33%;
        }

        &--06 {
            width: 33%;
        }

        &--07 {
            width: 33%;
        }

        &--10 {
            width: 100%;
        }

        &--11 {
            width: 100%;
        }

        &--12 {
            width: 100%;
        }
    }

    &__slider {
        margin: 0 0 20px 0;
        padding: 0;
        list-style: none;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &--field {
            width: 90px;
        }

        input {
            width: 100%;
            display: block;
            background: #f7f7f7;
            border-radius: 5px;
            font-weight: 600;
            padding: 5px 8px;
            height: 30px;
            font-size: size-rel(14px);
            line-height: size-rel(18px);
            border: 1px solid #cacaca;
        }
    }


    .btn {
        width: 100%;
    }

    fieldset {
        margin: 0;
        padding: 0;
        border: none;
    }

    .ui-widget-header {
        background: $secondary;
        border-color: $secondary;
    }

    .ui-state-default,
    .ui-widget-content .ui-state-default,
    .ui-widget-header .ui-state-default,
    .ui-button,
    html .ui-button.ui-state-disabled:hover,
    html .ui-button.ui-state-disabled:active {
        outline: none;
        background: $secondary;
        border-color: $secondary;
    }

    .ui-slider .ui-slider-range {
        height: 6px;
        font-size: 0;
        line-height: 0;
    }

    .ui-widget.ui-widget-content {
        font-size: 0;
        line-height: 0;
        height: 6px;
        background: #e5e5e5;
        border-color: #e5e5e5;
    }

    .ui-slider-horizontal .ui-slider-handle {
        top: -10px;
        width: 24px;
        height: 24px;
        border-radius: 50%;
    }

    .ui-slider-handle {
        background: $secondary !important;
        border-color: $secondary !important;
    }

    @include media-breakpoint-up(sm) {

        &__group {
            width: 33.33%;

            &--05 {
                width: 66.66%;

                .filter__list {
                    display: flex;
                    flex-wrap: wrap;
                    justify-content: space-between;

                    > li {
                        width: 50%;
                    }
                }
            }

            &--06 {
                width: 25%;
            }

            &--07 {
                width: 25%;
            }

            &--08 {
                width: 25%;
            }

            &--09 {
                width: 25%;
            }

            &--10 {
                width: 100%;
            }

            &--11 {
                width: 100%;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__group {
            width: 25%;
            margin-bottom: 40px;

            &--04 {
                top: 170px;
                left: 50%;
                position: absolute;
            }

            &--05 {
                width: 25%;

                .filter__list {
                    display: block;

                    li {
                        width: 100%;
                    }
                }
            }

            &--06 {
                width: 20%;
            }

            &--07 {
                width: 20%;
            }

            &--08 {
                width: 25%;
            }

            &--09 {
                width: 200px;
            }

            &--10 {
                width: 220px;
                padding-top: 12px;
            }

            &--11 {
                width: 240px;
                padding-top: 5px;
            }

            &--12 {
                width: 200px;
            }
        }
    }

    @include media-breakpoint-up(lg) {
        padding-top: 40px;
        padding-bottom: 40px;

        &__group {

            &--06 {
                width: 25%;
            }

            &--07 {
                width: 25%;
            }

            &--08 {
                width: 25%;
            }

            &--09 {
                width: 25%;
            }

            &--10 {
                width: 400px;
            }

            &--11 {
                width: 246px;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: 70px;
        padding-bottom: 50px;

        &__row {
            position: relative;
        }

        &__group {
            flex-shrink: 0;
            margin-bottom: 25px;

            &--01 {
                width: 230px;
                margin-right: 30px;
            }

            &--02 {
                width: 160px;
                min-height: 350px;
                margin-right: 40px;
            }

            &--03 {
                width: 150px;
                margin-right: 30px;
            }

            &--04 {
                top: 180px;
                left: 483px;
                z-index: 10;
                width: 150px;
                position: absolute;
            }

            &--05 {
                width: 130px;
                margin-right: 40px;

                .filter__list {
                    display: block;

                    > li {
                        width: 100%;
                    }
                }
            }

            &--06 {
                width: 100px;
                margin-right: 40px;
            }

            &--07 {
                top: 180px;
                left: 857px;
                z-index: 10;
                width: 100px;
                position: absolute;
            }

            &--08 {
                width: 130px;
            }

            &--09 {
                top: 180px;
                right: 0;
                width: 130px;
                position: absolute;
            }

            &--10 {
                width: 545px;
            }

            &--11 {
                width: 240px;
            }
        }
    }
}

.checkbox-button {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    width: 100%;
    position: relative;
    display: inline-block;

    input {
        top: 0;
        left: 0;
        opacity: 0;
        width: 1px;
        height: 1px;
        visibility: hidden;
        position: absolute;
    }

    span {
        width: 100%;
        color: $white;
        font-weight: 400;
        padding: 11px 15px;
        text-align: center;
        cursor: pointer;
        text-transform: uppercase;
        font-size: size-rel(13px);
        line-height: size-rel(20px);
        background: $secondary;
        border: 1px solid $secondary;
        display: inline-block;
    }

    input:checked + span {
        color: #464646;
        background: #f5f5f5;
    }
}

